

const state = () => ({
    performanceConfig: {

    }
});
const getters = {
    performanceConfig: (state) => {
        return state.performanceConfig;
    }
};

const mutations = {
    setPerformanceConfig(state, payload) {
        console.log('payload', payload)
        state.performanceConfig = payload;
    }
}

const actions = {
    setPerformanceConfigAction({ commit, state }, payload) {
        commit("setPerformanceConfig", payload);
    },
};

export default {
    namespaced: true,
    state,
    getters,
    actions,
    mutations,
};  